package cokr.xit.fims.sndb.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.sndb.SndbQuery;
import cokr.xit.fims.sndb.Svbtc;
import cokr.xit.fims.sndb.service.SvbtcService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**공시송달 대장 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-01-09	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("svbtcService")
public class SvbtcServiceBean extends AbstractServiceBean implements SvbtcService {

	/** 공시송달 대장 정보 Bean */
	@Resource(name = "svbtcBean")
	private SvbtcBean svbtcBean;

	@Override
	public List<DataObject> getSvbtcList(SndbQuery req) {
		return svbtcBean.getSvbtcList(req);
	}

	@Override
	public List<DataObject> getSvbtcs(SndbQuery req) {
		return svbtcBean.getSvbtcs(req);
	}

	@Override
	public DataObject getSvbtcInfo(SndbQuery req) {
		return svbtcBean.getSvbtcInfo(req);
	}

	@Override
	public List<DataObject> getSvbtcDtlList(SndbQuery req) {
		return svbtcBean.getSvbtcDtlList(req);
	}

	@Override
	public List<DataObject> getSvbtcDtls(SndbQuery req) {
		return svbtcBean.getSvbtcDtls(req);
	}

	@Override
	public String createSvbtc(SndbQuery req, Svbtc svbtc) {
		return svbtcBean.createSvbtc(req, svbtc);
	}

	@Override
	public String updateSvbtc(Svbtc svbtc) {
		return svbtcBean.updateSvbtc(svbtc);
	}

	@Override
	public String removeSvbtc(Svbtc svbtc) {
		return svbtcBean.removeSvbtc(svbtc);
	}

	@Override
	public String removeSvbtcEach(Svbtc svbtc) {
		return svbtcBean.removeSvbtcEach(svbtc);
	}

}
